=== debian/changelog ===
zarchive (0.1.2-3) unstable; urgency=low

  * First dgit upload
  * d/control: apply X-Style black
  * d/control: declare dpkg-build-api = 1
  * d/control: use my @debian.org email address
  * d/README.source: document packaging workflow

 -- Andrea Pappacoda <tachi@debian.org>  Wed, 16 Apr 2025 16:07:57 +0200

zarchive (0.1.2-2) unstable; urgency=medium

  * d/patches: always link to libzstd dynamically

 -- Andrea Pappacoda <andrea@pappacoda.it>  Fri, 13 Jan 2023 22:13:39 +0100

zarchive (0.1.2-1) unstable; urgency=low

  * Initial release. Closes: #1018223

 -- Andrea Pappacoda <andrea@pappacoda.it>  Thu, 01 Sep 2022 17:19:02 +0200
