=== debian/control ===
Source: zarchive
Section: libs
Priority: optional
Maintainer: Andrea Pappacoda <tachi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
Build-Depends-Arch:
 cmake,
 libzstd-dev,
 pkg-config,
Standards-Version: 4.7.2
Homepage: https://github.com/Exzap/ZArchive
Vcs-Git: https://salsa.debian.org/debian/zarchive.git
Vcs-Browser: https://salsa.debian.org/debian/zarchive
X-Style: black

Package: libzarchive0.1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for creating and reading zstd-compressed files
 ZArchive is yet another file archive format. Think of zip, tar, 7z,
 etc. but with the requirement of allowing random-access reads and
 supporting Zstandard compression.
 .
 This package contains the shared library.

Package: libzarchive-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libzarchive0.1 (= ${binary:Version}),
 ${misc:Depends},
Description: library for creating and reading zstd-compressed files - development files
 ZArchive is yet another file archive format. Think of zip, tar, 7z,
 etc. but with the requirement of allowing random-access reads and
 supporting Zstandard compression.
 .
 This package contains the development files.

Package: zarchive-tools
Section: utils
Architecture: any
Multi-Arch: foreign
Depends:
 libzarchive0.1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: tool for creating and reading zstd-compressed files
 ZArchive is yet another file archive format. Think of zip, tar, 7z,
 etc. but with the requirement of allowing random-access reads and
 supporting Zstandard compression.
 .
 This package contains the zarchive tool, that allows you to create and
 read file archives in the ZArchive format (.zar).
